Subject: Re: [patch net-next 0/4] net/mlx5: expose peer SF devlink instance

From: Jakub Kicinski <[email-masked]>
Date: Thu, 17 Aug 2023 19:34:20 -0700

On Tue, 15 Aug 2023 16:51:51 +0200 Jiri Pirko wrote:
> Currently, the user can instantiate new SF using "devlink port add"
> command. That creates an E-switch representor devlink port.
> 
> When user activates this SF, there is an auxiliary device created and
> probed for it which leads to SF devlink instance creation.
> 
> There is 1:1 relationship between E-switch representor devlink port and
> the SF auxiliary device devlink instance.
> 
> Expose the relation to the user by introducing new netlink attribute
> DEVLINK_PORT_FN_ATTR_DEVLINK which contains the devlink instance related
> to devlink port function. This is done by patch #3.

The devlink instance of the SF stays in the same network namespace 
as the PF?